WP6GraphicsCachedFileDataPacket Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6GraphicsCachedFileDataPacket Class Reference

`#include <WP6GraphicsCachedFileDataPacket.h>`

Inheritance diagram for WP6GraphicsCachedFileDataPacket:

## Public Member Functions
| WP6GraphicsCachedFileDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6GraphicsCachedFileDataPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *) const override
const librevenge::RVNGBinaryData * | getBinaryObject () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6GraphicsCachedFileDataPacket (const WP6GraphicsCachedFileDataPacket &)
WP6GraphicsCachedFileDataPacket & | operator= (const WP6GraphicsCachedFileDataPacket &)

## Private Attributes
int | m_id
librevenge::RVNGBinaryData * | m_object
unsigned char * | m_data

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP6GraphicsCachedFileDataPacket() [1/2]

WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

## ◆ ~WP6GraphicsCachedFileDataPacket()

WP6GraphicsCachedFileDataPacket::~WP6GraphicsCachedFileDataPacket | ( |  | ) |
| override

## ◆ WP6GraphicsCachedFileDataPacket() [2/2]

WP6GraphicsCachedFileDataPacket::WP6GraphicsCachedFileDataPacket | ( | const WP6GraphicsCachedFileDataPacket & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6GraphicsCachedFileDataPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Implements WP6PrefixDataPacket.

## ◆ getBinaryObject()

const librevenge::RVNGBinaryData* WP6GraphicsCachedFileDataPacket::getBinaryObject | ( |  | ) | const
| inline

## ◆ operator=()

WP6GraphicsCachedFileDataPacket& WP6GraphicsCachedFileDataPacket::operator= | ( | const WP6GraphicsCachedFileDataPacket & |  | ) |
| private

## ◆ parse()

void WP6GraphicsCachedFileDataPacket::parse | ( | WP6Listener * |  | ) | const
| inlineoverridevirtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## ◆ m_data

unsigned char* WP6GraphicsCachedFileDataPacket::m_data
| private

Referenced by _readContents(), and ~WP6GraphicsCachedFileDataPacket().

## ◆ m_id

int WP6GraphicsCachedFileDataPacket::m_id
| private

Referenced by _readContents().

## ◆ m_object

librevenge::RVNGBinaryData* WP6GraphicsCachedFileDataPacket::m_object
| private

Referenced by _readContents(), getBinaryObject(), and ~WP6GraphicsCachedFileDataPacket().

The documentation for this class was generated from the following files:

- WP6GraphicsCachedFileDataPacket.h
- WP6GraphicsCachedFileDataPacket.cpp